# containers.podman.podman_export module – Export a podman container

Note

This module is part of the containers.podman collection (version 1.20.0).

It is not included in `ansible-core`. To check whether it is installed, run `ansible-galaxy collection list`.

To install it, use: `ansible-galaxy collection install containers.podman`. You need further requirements to be able to use this module, see Requirements for details.

To use it in a playbook, specify: `containers.podman.podman_export`.

## Synopsis

- podman export exports the filesystem of a container and saves it as a tarball on the local machine

## Requirements

The below requirements are needed on the host that executes this module.

- Podman installed on host

## Parameters

Parameter | Comments
--- | ---
container string | Container to export.
dest string / required | Path to export container to.
executable string | Path to `podman` executable if it is not in the `$PATH` on the machine running `podman` Default: `"podman"`

force

boolean

Force saving to file even if it exists.

Choices:

- `false`

- `true` ← (default)

volume string | Volume to export.

## Examples

    # What modules does for example
    - containers.podman.podman_export:
        dest: /path/to/tar/file
        container: container-name
    - containers.podman.podman_export:
        dest: /path/to/tar/file
        volume: volume-name

### Authors

- Sagi Shnaidman (@sshnaidm)

### Collection links

- Issue Tracker
- Repository (Sources)